org.wso2.carbon.dataservices.sql.driver.query.insert

## Class CustomInsertQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.Query
  - - org.wso2.carbon.dataservices.sql.driver.query.insert.InsertQuery
    - - org.wso2.carbon.dataservices.sql.driver.query.insert.CustomInsertQuery

-     public class CustomInsertQuery
      extends InsertQuery

  This class represents a select query for custom data sources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomInsertQuery(Statement stmt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()`
    `ResultSet` | `executeQuery()`
    `int` | `executeUpdate()`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.insert.InsertQuery

      `getColumns, getColumnValues, getTargetTableName`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.Query

      `findParam, getConnection, getParameters, getProcessedTokens, getStatement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomInsertQuery

          public CustomInsertQuery(Statement stmt)
                            throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### executeQuery

          public ResultSet executeQuery()
                                 throws SQLException

      Specified by:
        `executeQuery` in class `Query`
      Throws:
        `SQLException`

    - #### executeUpdate

          public int executeUpdate()
                            throws SQLException

      Specified by:
        `executeUpdate` in class `Query`
      Throws:
        `SQLException`

    - #### execute

          public boolean execute()
                          throws SQLException

      Specified by:
        `execute` in class `Query`
      Throws:
        `SQLException`

Copyright © 2019 WSO2. All rights reserved.